incubator-couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vinubalaji Gopal <vinubal...@gmail.com>
Subject Re: error running couch 0.9
Date Wed, 22 Apr 2009 21:46:33 GMT
Got it working in RHEL 4 too. The trick was to install spidermonkey
from the source rpm. I also installed the latest Erlang -  but I don't
think that changed anything.

http://cvs.fedoraproject.org/viewvc/rpms/js/

Here are the steps for those interested. It works on EL-5/Cent 5 too -
if you can't find the js/js-devel rpm for Cent5 anywhere.

http://fedoraproject.org/wiki/Using_Fedora_CVS

#bash# export CVSROOT=:pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs
#bash#  cvs co js
#bash#  cd js/EL-5

(note that i am building from the js rpm source of EL-5 - because EL-4
directory will build only js 1.5 - but we want js 1.7)
#bash#  make
(this will download js-1.7.0.tar.gz )
#bash# cp js-1.7.0.tar.gz /usr/src/redhat/SOURCES
#bash# cp *.patch /usr/src/redhat/SOURCES
#bash# rpmbuild -bb js.spec

This should create only the binary rpm at /usr/src/redhat/RPMS/x86_64/
(i386 if you have a 32 bit machine).


Install the rpms and then do the normal couch install.
#bash# rpm-ivh  /usr/src/redhat/RPMS/x86_64/js-1.70-3.x86_64.rpm
#bash# rpm-ivh  /usr/src/redhat/RPMS/x86_64/js-devel-1.70-3.x86_64.rpm


-- 
Vinu

In a world without fences who needs Gates?

Mime
View raw message